# Uses of Enum Class
org.apache.lucene.facet.taxonomy.writercache.LruTaxonomyWriterCache.LRUType

Packages that use LruTaxonomyWriterCache.LRUType
Package
Description
org.apache.lucene.facet.taxonomy.writercache
Improves indexing time by caching a map of CategoryPath to their Ordinal.

- ## Uses of LruTaxonomyWriterCache.LRUType in org.apache.lucene.facet.taxonomy.writercache

  Methods in org.apache.lucene.facet.taxonomy.writercache that return LruTaxonomyWriterCache.LRUType
  Modifier and Type
  Method
  Description
  `static LruTaxonomyWriterCache.LRUType`
  LruTaxonomyWriterCache.LRUType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LruTaxonomyWriterCache.LRUType[]`
  LruTaxonomyWriterCache.LRUType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.facet.taxonomy.writercache with parameters of type LruTaxonomyWriterCache.LRUType
  Modifier
  Constructor
  Description
  ``
  `LruTaxonomyWriterCache(int cacheSize, LruTaxonomyWriterCache.LRUType lruType)`
  Creates this with the specified method.